﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=10.5
@EndOfDesignText@
Sub Class_Globals
	
#if b4i
	Dim Webview1 As WkWebview
#else
	Dim Webview1 As WebView
#end if

	Dim ParentModule As ConsentPage
	Dim wve As WebViewExtras
	Dim SettingsJSON As String
	
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize(ParentObject As ConsentPage, ParentView As B4XView, LangCode As String, ExtraDataJSON As String)
'	Log("B4X_Ad_Consent - Initialize")
	
	ParentModule=ParentObject
	SettingsJSON = ExtraDataJSON
	ParentView.LoadLayout("b4xAdConsent")
	Webview1.SetLayoutAnimated(0, 0, 0, ParentView.Width, ParentView.Height)
	B4XPages.GetManager.LogEvents=True
	Dim htmlcode As String = File.ReadString(File.DirAssets,$"consentform${LangCode}.html"$)
	Webview1.LoadHtml(htmlcode)	
	wve.addWebChromeClient(Webview1, "Webview1")
	wve.addJavascriptInterface(Webview1, "b4a")
	
End Sub

Private Sub Webview1_OverrideUrl (Url As String) As Boolean
'	Log("Webview1_OverrideUrl")
	
	Dim su As StringUtils
	LogColor($"WebView1_OverrideUrl Url=${su.DecodeUrl(Url, "ASCII")}"$, Colors.blue)
'	Log("Webview1_OverrideUrl URL = "&Url)
	If Url.Contains("action=dismiss") Then
		ParentModule.Consent_Response(Url)
	End If
	Return False
End Sub

Private Sub WebView1_PageFinished (Url As String)
'	Log("WebView1_PageFinished")
	
	Dim su As StringUtils
	
	LogColor($"WebView1_PageFinished Url=${su.DecodeUrl(Url, "ASCII")}"$, Colors.blue)
	
	wve.executeJavascript(Webview1, $"setUpConsentDialog(${SettingsJSON});showAppPrivacyPolicy = function() {dismissConsentModal('show_privacy_policy')};function showProviders() {dismissConsentModal('show_providers')};"$)

End Sub

